#!/usr/bin/python3
from flask import Flask
from pymongo import MongoClient
from pymongo.collation import Collation
from view.adm import adm
from view.default import init_page

import os

# Conectio my 
client = MongoClient('mongodb://root:r00t123@ds259001.mlab.com',59001)
db = client.weed

# from view.default import default
from flask_assets import Environment, Bundle

app = Flask(__name__)
assets = Environment(app)

# Here views for layout
# app.register_blueprint(default)
app.register_blueprint(adm)
app.register_blueprint(init_page)

app.secret_key = os.urandom(12)

if __name__ == "__main__":
    port = int(os.environ.get("PORT", 5000))
    app.run(host='0.0.0.0', port=port)

